/*
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "iconplasmoid.h"
#include <KIcon>
#include <plasma/widgets/icon.h>
#include <KIconLoader>

IconPlasmoid::IconPlasmoid(QObject *parent, const QVariantList &args)
    : Plasma::Applet(parent, args)
{
    setBackgroundHints(NoBackground);
    setAspectRatioMode(Plasma::ConstrainedSquare);
    int iconSize = IconSize(KIconLoader::Desktop);
    resize(iconSize*2, iconSize*2);
}

IconPlasmoid::~IconPlasmoid()
{
}

void IconPlasmoid::init()
{
    Plasma::Icon *icon = new Plasma::Icon(KIcon("user-desktop"), QString(), Plasma::Icon::CREATE_IN_LAYOUT, this);

    connect(icon, SIGNAL(clicked()), this, SLOT(pressed()));
}

void IconPlasmoid::pressed()
{

}

#include "iconplasmoid.moc"
